#include "screen.h"
#include "mem.h"
#include "vcpu.h"
#include <stdio.h>

#define ROM "../roms/chip8-test-suite/6-keypad.ch8"
//#define ROM "../roms/games/pong_1player.ch8"

int main(int argc, char *argv[])
{

  // Initialize
  MemInit();
  MemLoadROM(ROM);
  ScreenInit(800,400);
  VCPUInit();

  // Set game to run at very high FPS (prevent raylib to interfer with emulator FPS)
  SetTargetFPS(VCPU_FREQ*100);

  // Emulator main loop
  int i=0;
  while (!WindowShouldClose()){
    VCPUTick();
    if(i%600 == 0)
      printf("tick\n");
    i++;
  }

  // Close screen
  ScreenClose();
  
  return 0;
}
